# This spec file has been taken from Fedora package
Summary:	Flashcard program for using space repetition learning
Name:		anki
Version:	2.0.3
Release:	%mkrel 4
Group:      Education
# the file anki-%%{version}/libanki/anki/features/chinese/unihan.db 
# was created out of  Unihan.txt from www.unicode.org (MIT license)
License:    AGPL3
URL:        http://ankisrs.net/
Source0:    http://ankisrs.net/download/mirror/%{name}-%{version}.tgz

# Config change: don't check for new updates.
Patch0:     %{name}-%{version}-set-no-update.patch
Patch1:     %{name}-%{version}-missing_mkdir.patch
Patch2:     %{name}-%{version}-xdg-mime.patch
Patch3:     %{name}-%{version}-httplib2.patch
BuildRequires:  python-devel, python-setuptools, python-sqlalchemy
BuildRequires:  desktop-file-utils, python-qt4, python-simplejson
BuildRequires:  xdg-utils
Requires:   python-qt4
Requires:   python-sqlalchemy, python-simplejson, python-sqlite2
Requires:   python-matplotlib, python-matplotlib-qt4
Requires:   pygame, python-beautifulsoup
Requires:   python-pyaudio, sox
BuildArch:  noarch

%description
Anki is a program designed to help you remember facts (such as words
and phrases in a foreign language) as easily, quickly and efficiently
as possible. Anki is based on a theory called spaced repetition.

%prep
%setup -q
mv anki.xml anki-apkg.xml
rm -rf libanki/thirdparty
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%install
make install DESTDIR=%{buildroot}

%files 
%doc LICENSE* README*
%{_mandir}/man1/*
%{_bindir}/anki
%{_datadir}/anki
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*


%changelog

* Sun Apr 07 2013 grenoya <grenoya> 2.0.3-4.mga3
+ Revision: 408761
- fix missing link to httplib2 (bug #8836)
- disable automatic check for software updates

* Fri Jan 25 2013 fwang <fwang> 2.0.3-3.mga3
+ Revision: 392221
- drop unneeded qt4

* Fri Jan 11 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 345569
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 grenoya <grenoya> 2.0.3-1.mga3
+ Revision: 343250
-fix BR
-new version 2.0.3

* Thu Sep 20 2012 grenoya <grenoya> 1.2.11-1.mga3
+ Revision: 296422
- new version 1.2.11

* Mon Dec 19 2011 grenoya <grenoya> 1.2.9-2.mga2
+ Revision: 184162
- update sources to 1.2.9

* Sun Apr 24 2011 grenoya <grenoya> 1.2.8-2.mga1
+ Revision: 90170
- fix group

* Sun Apr 24 2011 grenoya <grenoya> 1.2.8-1.mga1
+ Revision: 90121
- imported package anki

